Subject: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Jun 2015 18:19:27 +0300

> Date: Wed, 24 Jun 2015 18:05:38 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Date: Wed, 24 Jun 2015 15:28:02 +0100
> > From: Artur Malabarba <[email-masked]>
> > Cc: [email-masked]
> > 
> > Yes, I see why that would cause a problem.
> > Does anyone have any idea how we could approach this, then?
> > 
> > That slow piece code has no need to be compiled so early, but I don't
> > know how to avoid that. I can move it to another file, but then
> > isearch will need to require that file anyway so the delay will still
> > be there.
> > 
> > Options I see
> > 1. I could move the code to a separate file, and then only require
> > that file as part of the isearch command, so it wouldn't be loaded at
> > compile time.
> > 2. I could just save that char-table directly in the file. It would be
> > large, but it should speed up the loading by a lot.
> 
> I think 1 is better.  Make that variable autoloaded in isearch.el, and
> the problem should be solved.

Btw, did you try replacing a simple iteration through all the
characters with map-char-table?